<script setup lang="ts">
import { ref, onMounted } from 'vue'
import { useI18n } from 'vue-i18n'
import AppBox from '../layouts/AppBox.vue'

// using
const { t } = useI18n({
	messages: {
		en: {
			title: `@:app`,
			text: `Text`,
			list: `List`,
			link: `Link`,
			icons: `Icons`,
			buttons: `Buttons`,
			en: `English`,
			th: `Thai`,
			home: `Home`,
			settings: `Settings`,
			favorite: `Like This`,
			form: `Form`,
			text1: `Text 1`,
			text1Hint: `Hint for Text 1`,
			text2: `Text 2`,
			text2Hint: `Hint for Text 2`,
			submit: `Submit`,
			reset: `Reset`,
		},
		th: {
			title: `@:app`,
			text: `ข้อความ`,
			list: `รายการ`,
			link: `เชื่อมโยง`,
			icons: `ไอคอน`,
			buttons: `ปุ่มกด`,
			en: `อังกฤษ`,
			th: `ไทย`,
			home: `บ้าน`,
			settings: `การตั้งค่า`,
			favorite: `ชอบสิ่งนี้`,
			form: `ฟอร์ม`,
			text1: `ข้อความ 1`,
			text1Hint: `คำแนะนำสำหรับ ข้อความ 1`,
			text2: `ข้อความ 2`,
			text2Hint: `คำแนะนำสำหรับ ข้อความ 2`,
			submit: `ส่งค่า`,
			reset: `เริ่มใหม่`,
		},
	},
})

// states
const appBox = ref(<InstanceType<typeof AppBox> | null>null)
const text1 = ref("")
const text2 = ref("Preset text 2")

onMounted(() => {
	/*
	appBox.value?.setLocale('en')
	appBox.value?.setTheme('blue')
	appBox.value?.setTone('default')

	console.log(`appBox.value?.getThemeList(): ${JSON.stringify(appBox.value?.getThemeList(), null, 2)}`);
	console.log(`appBox.value?.getToneList(): ${JSON.stringify(appBox.value?.getToneList(), null, 2)}`);
	console.log(`appBox.value?.getLocale(): ${appBox.value?.getLocale()}`);
	console.log(`appBox.value?.getTheme(): ${appBox.value?.getTheme()}`);
	console.log(`appBox.value?.getTone(): ${appBox.value?.getTone()}`);
	console.log(`appBox.value?.getDark(): ${appBox.value?.getDark()}`);
	*/
})

// ----------------------------------------------------------------------

function onSubmit() {
	console.log(`no things to do`)
}
</script>


<template>
	<AppBox ref="appBox" :title="t('title')">
		<Breadcrumbs :path="[
			[t('path.home'), '/']]" />

		<section class="testset">
			<h1>{{ t('text') }}</h1>
			<article>
				<span class="text-base">---- base line ----</span>
				<h1>H1</h1>
				<h2>H2</h2>
				<h3>H3</h3>
				<h4>H4</h4>
				<h5>H5</h5>
				<h6>H6</h6>
			</article>
		</section>

		<section class="testset">
			<h1>{{ t('list') }}</h1>
			<article>
				<ul class="none">
					<li>
						<NuxtLink class="link" to="javascript:void" @click.prevent="appBox.setLocale('en')">
							<img src="../assets/images/locale-en.svg" :alt="t('en')" />
							<span>{{ t('en') }}</span>
						</NuxtLink>
					</li>
					<li>
						<NuxtLink class="link" to="javascript:void" @click.prevent="appBox.setLocale('th')">
							<img src="../assets/images/locale-th.svg" :alt="t('th')" />
							<span>{{ t('th') }}</span>
						</NuxtLink>
					</li>
				</ul>
			</article>
		</section>

		<section class="testset">
			<h1>{{ t('link') }}</h1>
			<article>
				<NuxtLink class="link" to="/test-boxes">{{ t('path.test-boxes') }}</NuxtLink><br />
				<NuxtLink class="link" to="/test-boxes-shared">{{ t('path.test-boxes-shared') }}</NuxtLink><br />
			</article>
		</section>

		<section class="testset">
			<h1>{{ t('icons') }}</h1>
			<article>
				<span class="material-symbols-outlined">home</span>
				<span class="material-symbols-outlined">settings</span>
				<span class="material-symbols-outlined">favorite</span>
				<span class="material-symbols-outlined">done</span>
				<span class="material-symbols-outlined">cancel</span>
				<span class="material-symbols-outlined">disabled_by_default</span>
				<span class="material-symbols-outlined">info</span>
				<span class="material-symbols-outlined">warning</span>
				<span class="material-symbols-outlined">error</span>
				<span class="material-symbols-outlined">help</span>
			</article>
		</section>

		<section class="testset">
			<h1>{{ t('buttons') }}</h1>
			<article>
				<button class="normal">
					<i class="material-symbols-outlined">home</i>
					<span>{{ t('home') }}</span>
				</button>
				<button class="normal">
					<i class="material-symbols-outlined">settings</i>
					<span>{{ t('settings') }}</span>
				</button>
				<button class="normal">
					<i class="material-symbols-outlined">favorite</i>
					<span>{{ t('favorite') }}</span>
				</button>
				<button class="normal" disabled="true" aria-disabled="true">
					<i class="material-symbols-outlined">cancel</i>
					<span>{{ t('favorite') }}</span>
				</button>
			</article>
		</section>

		<section class="testset">
			<h1>{{ t('form') }}</h1>
			<article>
				<form @submit.prevent="onSubmit">
					<div>
						<label for="text1">{{ t('text1') }}: </label><br />
						<input id="text1" type="text" :placeholder="t('text1Hint')" v-model="text1" />
					</div>

					<div>
						<label for="text2">{{ t('text2') }}: </label><br />
						<input id="text2" type="text" :placeholder="t('text2Hint')" v-model="text2" />
					</div>

					<div>
						<button type="submit">
							<span>{{ t('submit') }}</span>
						</button>
						<button type="reset">
							<span>{{ t('reset') }}</span>
						</button>
					</div>
				</form>
			</article>
		</section>
	</AppBox>
</template>
